Logs
Retrieve API request logs
Retrieve a list of logs
GET /logs
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
limit | integer | no | Number of items to return. |
after | string | no | Return items after this cursor. |
before | string | no | Return items before this cursor. |
Example
curl -X GET "$SESAMESEND_URL/logs" \
-H "Authorization: Bearer $OPENSEND_API_KEY"Responses
| Status | Description |
|---|---|
200 | OK |
{
"object": "list",
"has_more": false,
"data": [
{
"id": "string",
"created_at": "2023-10-06 23:47:56.678+00",
"endpoint": "string",
"method": "GET",
"response_status": 1,
"user_agent": null
}
]
}Retrieve a single log
GET /logs/{log_id}
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
log_id | string | yes | The ID of the log. |
Example
curl -X GET "$SESAMESEND_URL/logs/<log_id>" \
-H "Authorization: Bearer $OPENSEND_API_KEY"Responses
| Status | Description |
|---|---|
200 | OK |
{
"object": "log",
"id": "string",
"created_at": "2023-10-06 23:47:56.678+00",
"endpoint": "string",
"method": "GET",
"response_status": 1,
"user_agent": null,
"request_body": null,
"response_body": null
}